Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Łukasz Jachymczyk % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.0.4   

Resolution: Fixed Affected version: 2.0.3

Description

After wiki page update/addition a notification mail is generated. This mail contains localized message

:mail_body_wiki_content_updated with interpolated html link to wiki page (:id argument).

Currently, this generated message is treated as html unsafe and thus all tags are escaped. The workaround is to call html_safe

method on localized message. Attached patch contains implementation of this workaround and unit tests covering this issue.

Please let me know if there is a better solution.

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.4

Rails version             3.2.6

Active Record version     3.2.6

Action Pack version       3.2.6

Active Resource version   3.2.6

Action Mailer version     3.2.6

Active Support version    3.2.6

Environment               development

Database adapter          sqlite3

Database schema version   20120422150750

Associated revisions

Revision 9896 - 2012-06-26 19:03 - Jean-Philippe Lang

Fixed: Link is escaped in wiki added/updated notification email (#11262).

Patch by Łukasz Jachymczyk.

History

#1 - 2012-06-26 19:03 - Jean-Philippe Lang

- Tracker changed from Patch to Defect

- Subject changed from Link html tag is escaped in localized message during delivery of wiki added/updated mail notification to Link is escaped in wiki

added/updated notification email

- Status changed from New to Resolved

- Target version set to 2.0.4

- Affected version (unused) set to 2.0.3

- Resolution set to Fixed

- Affected version set to 2.0.3

Patch committed in r9896, thanks.

#2 - 2012-07-08 14:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
https://www.redmine.org/projects/redmine/repository/svn/revisions/9896


Files

0001-Fix-escaping-of-html-links-in-wiki-mailer-notificati.patch 2.78 KB 2012-06-26 Łukasz Jachymczyk
